Bug 432670 - All checkboxes in a treeview are prelighted
All checkboxes in a treeview are prelighted
Product: Fedora
Classification: Fedora
Component: gtk-nodoka-engine (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Sourada
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2008-02-13 13:02 EST by Thomas Woerner
Modified: 2008-03-10 13:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-10 12:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2008-02-13 13:02:47 EST
Description of problem:
All checkboxes in a treeview are prelighted if the treeview has the focus.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. E.g. start system-config-services and click into the treeview.
Actual results:
All checkboxes are prelighted.

Expected results:
None or only the one where the pointer is should be prelighted.

Additional info:
Comment 1 Martin Sourada 2008-02-13 14:43:49 EST

this is known issue and I am not aware of any way now how to make it work
precisely as expected. Actually it is not wrong prelight, but wrong focus, alas
the focus is set on the tree view component, and the result is that all
checkboxes are focused when the parent treeview is focused. The best I can do
ATM, is to disable the focus for check/radio buttons in tree/list view completely.

Anyway, I transfer this ticket to upstream (as I'd rather have redhat bugzilla
for fedora/red hat specific issues): 


In order to keep you informed, I added you to cc there, hope you don't mind.
Comment 2 Thomas Woerner 2008-02-14 05:25:33 EST
I'd like to have this bug open here as long as it is a problem in Fedora.
Comment 3 Thomas Woerner 2008-03-10 12:04:03 EDT
Please update the package, there are more bug fixes:


All fixed in GIT.
Comment 4 Martin Sourada 2008-03-10 12:33:23 EDT
Aaah, sorry, I forgot about this bug report. It is already in rawhide.
Comment 5 Thomas Woerner 2008-03-10 13:27:59 EDT
Thanks, working as expected.

Note You need to log in before you can comment on or make changes to this bug.